Package com.creditcall.chipdnamobile

# Enum Class CardHash.Scope

java.lang.Object
java.lang.Enum<CardHash.Scope>
com.creditcall.chipdnamobile.CardHash.Scope

All Implemented Interfaces:
  `Serializable`, `Comparable<CardHash.Scope>`, `Constable`

Enclosing class:
  CardHash

public static enum CardHash.Scope extends Enum<CardHash.Scope>
Scope defines the set of devices that would generate this same hash for a particular card.

Author:
  Creditcall Ltd

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Client`
  Hash is locked to terminal on this client.
  `Merchant`
  Hash is locked to terminal on this merchant.
  `PaymentDeviceManufacturer`
  Hash is locked to devices by the same manufacturer.
  `PaymentDeviceModel`
  Hash is locked to devices of the same model.
  `Platform`
  Hash is locked to the Creditcall Ltd platform.
  `Processor`
  Hash is locked to the same processor.
  `Terminal`
  Hash is locked to this terminal only.
  `TerminalGroup`
  Hash is locked to this terminal group.
  `Territory`
  Hash is locked to a same territory.
  `TokenPaymentCompatible`
  Hash can be used with CardReference to perform tokenised payments.
  `Unknown`
  Unknown

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CardHash.Scope`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CardHash.Scope[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Unknown

    public static final CardHash.Scope Unknown
    Unknown

  - ### Terminal

    public static final CardHash.Scope Terminal
    Hash is locked to this terminal only.

  - ### TerminalGroup

    public static final CardHash.Scope TerminalGroup
    Hash is locked to this terminal group.

  - ### Merchant

    public static final CardHash.Scope Merchant
    Hash is locked to terminal on this merchant.

  - ### Client

    public static final CardHash.Scope Client
    Hash is locked to terminal on this client.

  - ### Processor

    public static final CardHash.Scope Processor
    Hash is locked to the same processor.

  - ### Territory

    public static final CardHash.Scope Territory
    Hash is locked to a same territory.

  - ### PaymentDeviceModel

    public static final CardHash.Scope PaymentDeviceModel
    Hash is locked to devices of the same model.

  - ### PaymentDeviceManufacturer

    public static final CardHash.Scope PaymentDeviceManufacturer
    Hash is locked to devices by the same manufacturer.

  - ### TokenPaymentCompatible

    public static final CardHash.Scope TokenPaymentCompatible
    Hash can be used with CardReference to perform tokenised payments.

  - ### Platform

    public static final CardHash.Scope Platform
    Hash is locked to the Creditcall Ltd platform.

- ## Method Details

  - ### values

    public static CardHash.Scope[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CardHash.Scope valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null